petsc-3.12.1 2019-10-22
Report Typos and Errors

# PCBDDCMatFETIDPGetRHS

Compute the right-hand side for FETI-DP linear system using the physical right-hand side

### Synopsis

    #include "petscpc.h"
    PetscErrorCode PCBDDCMatFETIDPGetRHS(Mat fetidp_mat, Vec standard_rhs, Vec fetidp_flux_rhs)

Collective

### Input Parameters

| fetidp_mat | - the FETI-DP matrix object obtained by a call to PCBDDCCreateFETIDPOperators
| standard_rhs | - the right-hand side of the original linear system

### Output Parameters

fetidp_flux_rhs -the right-hand side for the FETI-DP linear system

### Notes

### See Also

PCBDDC, PCBDDCCreateFETIDPOperators, PCBDDCMatFETIDPGetSolution

### Level

developer

### Location

src/ksp/pc/impls/bddc/bddc.c

### Examples

src/ksp/ksp/examples/tutorials/ex59.c.html

### Implementations

PCBDDCMatFETIDPGetRHS_BDDC in src/ksp/pc/impls/bddc/bddc.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages